{namespace kitt3nLoop=KITT3N\Kitt3nLoop\ViewHelpers}

<f:comment>
    Available variables:

    - data
    - processedImage
    - aElements
    - oElements
</f:comment>

<f:if condition="{oElements -> f:count()} > 0">

    <f:comment>

        aElements

            - header
            - subheader
            - text (richText)
            - image
            - icon
            - link

            - processedImage

    </f:comment>

    <f:comment>
        <f:variable name="sTemplate" value="{f:render(partial: 'Kitt3nLoopElements/Templates/Tabs/Deprecated')}" />
        {kitt3nLoop:renderElement(oElements: '{oElements}', aElements: '{aElements}', aData: '{data}', sTemplate: '{sTemplate}') -> f:format.raw()}
    </f:comment>

    <f:format.raw>
        <kitt3nLoop:renderStaticElements oElements="{oElements}"
                                         aElements="{aElements}"
                                         aData="{data}">

            <f:for each="{aElements}" as="aElement">

                <kitt3nLoop:renderStaticElement aElements="{aElements}"
                                                aElement="{aElement}"
                                                aParentData="{data}">

                    <f:render partial="Kitt3nLoopElements/Generic/Article"
                              arguments="{aElement: aElement}"/>

                </kitt3nLoop:renderStaticElement>

            </f:for>

        </kitt3nLoop:renderStaticElements>
    </f:format.raw>


</f:if>

